# Generated by Django 3.1.8 on 2021-04-22 19:40


# Disclaimer
# ----------
#
# Copyright (C) 2021 Helmholtz-Zentrum Hereon
# Copyright (C) 2020-2021 Helmholtz-Zentrum Geesthacht
#
# This file is part of django-academic-community and is released under the
# EUPL-1.2 license.
# See LICENSE in the root of the repository for full licensing details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the EUROPEAN UNION PUBLIC LICENCE v. 1.2 or later
# as published by the European Commission.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# EUPL-1.2 license for more details.
#
# You should have received a copy of the EUPL-1.2 license along with this
# program. If not, see https://www.eupl.eu/.


import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("activities", "0001_initial"),
        ("members", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="activity",
            name="deputy",
            field=models.ForeignKey(
                blank=True,
                help_text="The co-leader of this activity",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="activity_deputy",
                to="members.communitymember",
            ),
        ),
        migrations.AddField(
            model_name="activity",
            name="leader",
            field=models.ForeignKey(
                help_text="The community member leading this activity.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="activity_lead",
                to="members.communitymember",
            ),
        ),
        migrations.AddField(
            model_name="activity",
            name="members",
            field=models.ManyToManyField(
                blank=True,
                help_text="Community members contributing to this activity.",
                to="members.CommunityMember",
            ),
        ),
    ]
