# Generated by Django 3.2.7 on 2022-04-08 12:28

import colorfield.fields
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("events", "0010_event_activities"),
        ("programme", "0017_alter_contribution_activity"),
    ]

    operations = [
        migrations.AddField(
            model_name="presentationtype",
            name="event",
            field=models.ForeignKey(
                default=1,
                help_text="The event that this presentation type can be used for.",
                on_delete=django.db.models.deletion.CASCADE,
                to="events.event",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="presentationtype",
            name="color",
            field=colorfield.fields.ColorField(
                default="#3788D8FF",
                help_text="Color for this presentation type in the calendar.",
                image_field=None,
                max_length=18,
                samples=None,
            ),
        ),
        migrations.AlterField(
            model_name="presentationtype",
            name="font_color",
            field=colorfield.fields.ColorField(
                default="#FFFFFFFF",
                help_text="Color for this presentation type in the calendar.",
                image_field=None,
                max_length=18,
                samples=None,
            ),
        ),
        migrations.AlterField(
            model_name="presentationtype",
            name="name",
            field=models.CharField(
                help_text="Description of the type", max_length=30
            ),
        ),
        migrations.AddConstraint(
            model_name="presentationtype",
            constraint=models.UniqueConstraint(
                fields=("name", "event"), name="unique_name_for_event"
            ),
        ),
    ]
