# Generated by Django 3.1.3 on 2021-04-26 18:15


# Disclaimer
# ----------
#
# Copyright (C) 2021 Helmholtz-Zentrum Hereon
# Copyright (C) 2020-2021 Helmholtz-Zentrum Geesthacht
#
# This file is part of django-academic-community and is released under the
# EUPL-1.2 license.
# See LICENSE in the root of the repository for full licensing details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the EUROPEAN UNION PUBLIC LICENCE v. 1.2 or later
# as published by the European Commission.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# EUPL-1.2 license for more details.
#
# You should have received a copy of the EUPL-1.2 license along with this
# program. If not, see https://www.eupl.eu/.


from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("faqs", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="faq",
            name="related_models",
            field=models.ManyToManyField(
                blank=True,
                help_text="\n            Models (i.e. tables in the database) that this question relates to.\n            FAQs will then be displayed on the editing pages for this model.\n            You do not need to list a model here if it is already listed in one\n            of its categories. Note that this is not implemented for every\n            model in the database, only for specific ones, such as topics or\n            community members.\n        ",
                to="contenttypes.ContentType",
            ),
        ),
        migrations.AddField(
            model_name="questioncategory",
            name="include_in_list",
            field=models.BooleanField(
                default=True,
                help_text="Include this category in the FAQ list.",
            ),
        ),
        migrations.AddField(
            model_name="questioncategory",
            name="related_models",
            field=models.ManyToManyField(
                blank=True,
                help_text="\n            Models (i.e. tables in the database) that this category relates to.\n            FAQs will then be displayed on the editing pages for this model.\n            Note that the visualization of this relation is not implemented for\n            every model in the database, only for specific ones, such as\n            topics or community members.\n        ",
                to="contenttypes.ContentType",
            ),
        ),
        migrations.AlterField(
            model_name="faq",
            name="categories",
            field=models.ManyToManyField(
                blank=True,
                help_text="Under which category should we list this FAQ? If you avoid categories, the FAQ will not be available from the main list of FAQs, but may still be available on model specific pages.",
                to="faqs.QuestionCategory",
            ),
        ),
    ]
