# Generated by Django 3.2.15 on 2022-09-09 13:34

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("cms", "0022_auto_20180620_1551"),
        ("academic_community", "0004_bootstrap5carouselcaptionslide"),
    ]

    operations = [
        migrations.CreateModel(
            name="PageStylesExtension",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "container_class",
                    models.CharField(
                        choices=[
                            ("container", "Default (.container)"),
                            (
                                "container-md",
                                "100% on mobile phones (.container-md)",
                            ),
                            ("container-lg", "100% on tables (.container-lg)"),
                            (
                                "container-xl",
                                "100% on wide screens (.container-xl)",
                            ),
                            (
                                "container-xxl",
                                "100% on extra wide screens (.container-xxl)",
                            ),
                            (
                                "container-fluid",
                                "Allways 100% (.container-fluid)",
                            ),
                        ],
                        default="container",
                        help_text="Select a class for the main container of the page. See the bootstrap5 docs for for information on the container classes.",
                        max_length=20,
                    ),
                ),
                (
                    "extended_object",
                    models.OneToOneField(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cms.page",
                    ),
                ),
                (
                    "public_extension",
                    models.OneToOneField(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="draft_extension",
                        to="academic_community.pagestylesextension",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="PageAdminExtension",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "show_in_main_navigation",
                    models.BooleanField(
                        default=False,
                        help_text="If True, show this page in the main navigation",
                    ),
                ),
                (
                    "extended_object",
                    models.OneToOneField(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cms.page",
                    ),
                ),
                (
                    "public_extension",
                    models.OneToOneField(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="draft_extension",
                        to="academic_community.pageadminextension",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
