# Generated by Django 3.1.3 on 2021-04-25 20:23


# Disclaimer
# ----------
#
# Copyright (C) 2021 Helmholtz-Zentrum Hereon
# Copyright (C) 2020-2021 Helmholtz-Zentrum Geesthacht
#
# This file is part of django-academic-community and is released under the
# EUPL-1.2 license.
# See LICENSE in the root of the repository for full licensing details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the EUROPEAN UNION PUBLIC LICENCE v. 1.2 or later
# as published by the European Commission.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# EUPL-1.2 license for more details.
#
# You should have received a copy of the EUPL-1.2 license along with this
# program. If not, see https://www.eupl.eu/.


from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("notifications", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="PendingEmail",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "mail_parameters",
                    models.JSONField(
                        help_text="Parameters for the utils.send_mail function"
                    ),
                ),
                (
                    "html_message",
                    models.TextField(
                        help_text="The HTML representation of the mail"
                    ),
                ),
                (
                    "sent",
                    models.BooleanField(
                        default=False,
                        help_text="Has the email already been sent?",
                    ),
                ),
                (
                    "attempts",
                    models.PositiveIntegerField(
                        default=0,
                        help_text="Attempts that have been made to send this mail.",
                    ),
                ),
                ("date_created", models.DateTimeField(auto_now_add=True)),
            ],
        ),
    ]
