# Generated by Django 3.1.3 on 2021-05-25 15:02


# Disclaimer
# ----------
#
# Copyright (C) 2021 Helmholtz-Zentrum Hereon
# Copyright (C) 2020-2021 Helmholtz-Zentrum Geesthacht
#
# This file is part of django-academic-community and is released under the
# EUPL-1.2 license.
# See LICENSE in the root of the repository for full licensing details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the EUROPEAN UNION PUBLIC LICENCE v. 1.2 or later
# as published by the European Commission.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# EUPL-1.2 license for more details.
#
# You should have received a copy of the EUPL-1.2 license along with this
# program. If not, see https://www.eupl.eu/.


import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("topics", "0004_auto_20210522_1552"),
    ]

    operations = [
        migrations.AlterField(
            model_name="topic",
            name="compartment",
            field=models.ForeignKey(
                blank=True,
                help_text="Model compartment",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="topics.modelcompartmentdevelopment",
                verbose_name="Field of investigation",
            ),
        ),
        migrations.AlterField(
            model_name="topic",
            name="component",
            field=models.ForeignKey(
                blank=True,
                help_text="Name of the Component under development.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="topics.couplingcomponent",
                verbose_name="Coupling component",
            ),
        ),
        migrations.AlterField(
            model_name="topic",
            name="id_name",
            field=models.SlugField(
                help_text="Unique identifier of the topic. Should consist of the abbreviated  institution number and another number. HZG-001 for instance.",
                max_length=25,
                unique=True,
                verbose_name="ID name",
            ),
        ),
    ]
